Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1495845 - Review Request: zegrapher - Free and opensource math graphing software
Summary: Review Request: zegrapher - Free and opensource math graphing software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: srakitnican
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 12:25 UTC by Robert-André Mauchin 🐧
Modified: 2017-10-09 19:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-05 21:04:50 UTC
Type: Bug
samuel.rakitnican: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-09-26 12:25:17 UTC
SPEC URL: https://raw.githubusercontent.com/eclipseo/packaging/2977ccd/zegrapher.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/zegrapher/fedora-rawhide-x86_64/00608000-zegrapher/zegrapher-3.0.1-2.fc28.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22084813

Description:
ZeGrapher is a plotting program for functions, sequences, parametric equations, 
and tabular data. It has been designed to be as easy to use as possible.

ZeGrapher supports importing and exporting of tabular data from and to CSV files
and polynomial (regression) fits, plotting of tangents (the point can be 
selected interactively). Calculation and plotting of derivatives and integrals 
is also possible.

Plots can be exported in various image formats and as PDF files.

Fedora Account Username: eclipseo

Comment 1 Ye Cheng 2017-09-28 06:06:59 UTC
This is an unofficial review.

ISSUES:
1.desktop-file-validate ZeGrapher.desktop : warning: key "Encoding" in group "Desktop Entry" is deprecated
2.Prabably the packages should own %{_datadir}/%{altname} directory.
3.TODO.txt may not be very useful for end users, it is for upstream developers.
4.https://www.zegrapher.com/ may be better for the URL field, this is more end user friendly.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v3 or later)", "Unknown or generated", "*No
     copyright* GPL". 91 files have unknown license. Detailed output of
     licensecheck in /home/lu/1495845-zegrapher/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/ZeGrapher
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: 
      /usr/share/ZeGrapher
[x]: %build honors applicable compiler flags or justifies otherwise.
	Note: linker flags are not honored, as g++ is invoked for linking.
	This may not be a issue because this is not a security critical package.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in zegrapher
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in zegrapher
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     zegrapher-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zegrapher-3.0.1-2.fc26.x86_64.rpm
          zegrapher-debuginfo-3.0.1-2.fc26.x86_64.rpm
          zegrapher-3.0.1-2.fc26.src.rpm
zegrapher.x86_64: W: spelling-error Summary(en_US) opensource -> open source, open-source, outsource
zegrapher.x86_64: W: no-manual-page-for-binary ZeGrapher
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
zegrapher.src: W: spelling-error Summary(en_US) opensource -> open source, open-source, outsource
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: zegrapher-debuginfo-3.0.1-2.fc26.x86_64.rpm
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
1 packages and 0 specfiles checked; 0 errors, 4 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
zegrapher.x86_64: W: spelling-error Summary(en_US) opensource -> open source, open-source, outsource
zegrapher.x86_64: W: no-manual-page-for-binary ZeGrapher
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.moc
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
zegrapher-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/ZeGrapher-3.0.1/build/.ui
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
zegrapher (rpmlib, GLIBC filtered):
    /bin/sh
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5WebKit.so.5()(64bit)
    libQt5WebKitWidgets.so.5()(64bit)
    libQt5WebKitWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

zegrapher-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
zegrapher:
    appdata()
    appdata(ZeGrapher.appdata.xml)
    application()
    application(ZeGrapher.desktop)
    mimehandler(x-scheme-handler/ZeGrapher)
    zegrapher
    zegrapher(x86-64)

zegrapher-debuginfo:
    zegrapher-debuginfo
    zegrapher-debuginfo(x86-64)



Source checksums
----------------
https://github.com/AdelKS/ZeGrapher/archive/v3.0.1/ZeGrapher-3.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3204228e30d5aab52fef740a7d92f1f6c86fc6e770e78cfba4cc271af65a1e96
  CHECKSUM(SHA256) upstream package : 3204228e30d5aab52fef740a7d92f1f6c86fc6e770e78cfba4cc271af65a1e96


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1495845 -v
Buildroot used: fedora-26-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Robert-André Mauchin 🐧 2017-09-28 11:28:47 UTC
Thank you for your informal review!

I've updated the package with your recommendations.

SPEC URL: https://raw.githubusercontent.com/eclipseo/packaging/e37a370/zegrapher.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/zegrapher/fedora-rawhide-x86_64/00609045-zegrapher/zegrapher-3.0.1-2.fc28.src.rpm

Comment 3 srakitnican 2017-09-29 18:40:26 UTC
Thank you Ye Cheng!

Robert-André, looks good except one more thing.

Please use %{find_lang} macro for language files. See the following for more details: https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

%find_lang %{altname} --with-qt

...

%files -f %{altname}.lang


Minor issue, not a blocker, consider fixing grammar in summary as rpmlint suggests.

Comment 4 Robert-André Mauchin 🐧 2017-09-29 19:31:46 UTC
I will try tomorrow but I don't think it will work because the lang files are in a non standard directory (i.e. they are not in /usr/share/locale where find_lang searches for them).

Comment 5 srakitnican 2017-09-30 09:31:11 UTC
(In reply to Robert-André Mauchin from comment #4)
> I will try tomorrow but I don't think it will work because the lang files
> are in a non standard directory (i.e. they are not in /usr/share/locale
> where find_lang searches for them).

Nah, find-lang.sh is searching in whole BUILDROOT tree for a directory called locale, it will work just fine.

Comment 7 srakitnican 2017-09-30 11:25:18 UTC
Since package is not yet imported into SCM tree yet, I guess its fine not to bump the release number, but please keep in mind that if previous package release was built before, any further changes needs to go into a new package release and changelog entry needs to be updated. See the following for more details: https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Anyway, package approved.

Comment 8 Robert-André Mauchin 🐧 2017-09-30 11:28:14 UTC
Thank you for the review!

Comment 9 Gwyn Ciesla 2017-09-30 19:11:32 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zegrapher

Comment 10 Fedora Update System 2017-10-01 07:29:10 UTC
zegrapher-3.0.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-40f54714a3

Comment 11 Fedora Update System 2017-10-01 07:45:07 UTC
zegrapher-3.0.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ddb868807

Comment 12 Fedora Update System 2017-10-01 07:59:04 UTC
zegrapher-3.0.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e27d9aa463

Comment 13 Fedora Update System 2017-10-01 23:55:43 UTC
zegrapher-3.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ddb868807

Comment 14 Fedora Update System 2017-10-02 00:56:07 UTC
zegrapher-3.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e27d9aa463

Comment 15 Fedora Update System 2017-10-02 00:57:34 UTC
zegrapher-3.0.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-40f54714a3

Comment 16 Fedora Update System 2017-10-05 21:04:50 UTC
zegrapher-3.0.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-10-09 15:23:47 UTC
zegrapher-3.0.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-10-09 19:19:13 UTC
zegrapher-3.0.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.